Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::Thumbnail Class Reference

`#include <ipethumbs.h>`

## Public Member Functions

| Thumbnail (const Document *doc, int width)
| ~Thumbnail ()
int | height () const
Buffer | render (const Page *page, int view)

## Constructor & Destructor Documentation

Thumbnail::Thumbnail | ( | const Document * | doc,
|  | int | width
| ) |  |

Thumbnail::~Thumbnail | ( |  | ) |

## Member Function Documentation

int ipe::Thumbnail::height | ( |  | ) | const

inline

Buffer Thumbnail::render | ( | const Page * | page,
|  | int | view
| ) |  |

The documentation for this class was generated from the following files:

- ipethumbs.h
- ipethumbs.cpp